using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;


/// <summary>
/// 诚招代理加盟的操作接口
/// </summary>
namespace Agent
{
    public interface ISincereAgent
    {
        int Insert(TSincereAgent eui, out int intReturn);               //添加诚招代理加盟信息
        int Update(TSincereAgent us);                                   //修改诚招代理加盟信息
        int UpdateVerify(TSincereAgent eui);                            //修改审核信息
        int UpdateRecommend(TSincereAgent eui);                         //修改推荐信息
        int Delete(int ID);                                             //根据ID删除诚招代理加盟信息
        int Delete(string ID);                                          //根据行业类别删除
        DataTable GetDataTable(string strWhere);                        //根据标题名称和代理加盟所属类目取得诚招代理加盟信息
        DataTable GetDataTable(TSincereAgent eui);                      //根据其他信息取得诚招代理加盟信息
        TSincereAgent GateItem(int ID);                                 //根据ID取得每一条诚招代理加盟信息
    }
}
